###

###

###

###

###

###

    MBLEN(3)            Linux Programmer's Manual            MBLEN(3)

    NAME
           mblen - determine the number of bytes in a character

    SYNOPSIS
           #include <stdlib.h>

           int mblen(const char *s, size_t n);

    DESCRIPTION
           The mblen() function scans the first n bytes of the string
           s and returns the number of bytes  in  a  character.   The
           mblen() function is equivalent to

                  mbtowc((wchat_t *)0, s, n);

           except  that  the  shift state of the mbtowc() function is
           not affected.

    RETURN VALUE
           The mblen() returns the number of bytes in a character  or
           -1 if the character is invalid or 0 if s is a NULL string.

    CONFORMING TO
           SVID 3, ISO 9899

### SEE ALSO

mbstowcs, mbtowc, wcstombs, wctomb,

###

    GNU                       March 29, 1993                        1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0